Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(4)  |  Call(4)  |  Derive(0)  |  Import(0)

src/h/o/Honeybee-HEAD/src/Honeybee_Honeybee.py   Honeybee(Download)
            while basePlane.YAxis.Z <= sc.doc.ModelAbsoluteTolerance and rotationCount < 3:
                # keep rotating for 90 degrees
                basePlane.Rotate(math.radians(90), basePlane.ZAxis)
                rotationCount += 1
 
        elif srfType == 1 or  srfType == 3:            
            # roof + ceiling
            while basePlane.YAxis.Y <=  sc.doc.ModelAbsoluteTolerance and rotationCount < 3:
                # keep rotating for 90 degrees
                basePlane.Rotate(math.radians(90), basePlane.ZAxis)
            while basePlane.YAxis.Y >= sc.doc.ModelAbsoluteTolerance and rotationCount < 3:
                # keep rotating for 90 degrees
                basePlane.Rotate(math.radians(90), basePlane.ZAxis)
                rotationCount += 1
 

src/r/h/rhinopython-HEAD/scripts/rhinoscript/plane.py   rhinopython(Download)
    angle_radians = math.radians(angle_degrees)
    rc = Rhino.Geometry.Plane(plane)
    if rc.Rotate(angle_radians, axis): return rc